from datetime import date

from django import forms


class PersonForm(forms.Form):
    """Example of form for person information."""

    first_name = forms.CharField(max_length=32, label="first name")
    last_name = forms.CharField(max_length=32, label="last name")
    birth_date = forms.DateField(initial=date(1990, 1, 1), label="birthday")
    phone_number = forms.CharField(max_length=12, label="phone number")
    password = forms.CharField(widget=forms.PasswordInput, max_length=50, label="password")
